Bug 1174 - packageof работает некорректно
: packageof работает некорректно
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-utils)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-08-04 21:15 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-08-04 21:15:22
Пример:

$ rpm -qf --qf=\"%{NAME}\\n\" /usr/lib/libtiff.so
libtiff-devel
$ packageof /usr/lib/libtiff.so
libtiff

И так со многими (со всеми?) библиотеками

P.S. ошибка обнаружена Алексеем Фроловым (<a href="mailto:raorn@altlinux.ru" target="_new">raorn@altlinux.ru</a>) и отправлена на bugs.altlinux.ru по его просьбе.
---

---

------- Comment #1 From 2002-08-05 09:06:26 -------
Как выяснилось все ело в том, что packageof вызывает realpath(3) для имени
файла. Это, как я думаю, было сделано для того, чтобы нормально обрабатывались
альтрнативы, но под удар попали библиотеки...
------- Comment #2 From 2002-08-05 09:06:26 -------
Как выяснилось все ело в том, что packageof вызывает realpath(3) для имени
файла. Это, как я думаю, было сделано для того, чтобы нормально обрабатывались
альтрнативы, но под удар попали библиотеки...
------- Comment #3 From 2002-08-05 15:46:00 -------
Fixed in rpm-utils-0.5.1-alt1.
------- Comment #4 From 2002-08-05 15:46:00 -------
Fixed in rpm-utils-0.5.1-alt1.